### Class

# WebKit SecurityManager

unstable since: 6.0

#### Description [src]

    final class WebKit.SecurityManager : GObject.Object
    {
      /* No available fields */
    }

Controls security settings in a `WebKitWebContext`.

The `WebKitSecurityManager` defines security settings for URI schemes in a `WebKitWebContext`. Get it from the context with webkit_web_context_get_security_manager(), and use it to register a URI scheme with a certain security level, or to check if it already has it.

Available since: 6.0

#### Ancestors

- GObject

#### Instance methods

###### webkit_security_manager_register_uri_scheme_as_cors_enabled

Register `scheme` as a CORS (Cross-origin resource sharing) enabled scheme.

unstable since: 6.0

###### webkit_security_manager_register_uri_scheme_as_display_isolated

Register `scheme` as a display isolated scheme.

unstable since: 6.0

###### webkit_security_manager_register_uri_scheme_as_empty_document

Register `scheme` as an empty document scheme.

unstable since: 6.0

###### webkit_security_manager_register_uri_scheme_as_local

Register `scheme` as a local scheme.

unstable since: 6.0

###### webkit_security_manager_register_uri_scheme_as_no_access

Register `scheme` as a no-access scheme.

unstable since: 6.0

###### webkit_security_manager_register_uri_scheme_as_secure

Register `scheme` as a secure scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_cors_enabled

Whether `scheme` is considered as a CORS enabled scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_display_isolated

Whether `scheme` is considered as a display isolated scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_empty_document

Whether `scheme` is considered as an empty document scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_local

Whether `scheme` is considered as a local scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_no_access

Whether `scheme` is considered as a no-access scheme.

unstable since: 6.0

###### webkit_security_manager_uri_scheme_is_secure

Whether `scheme` is considered as a secure scheme.

unstable since: 6.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitSecurityManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.